/*
 * ReadWriteString.c
 *
 * Created: 30.12.2012 21:36:18
 *  Author: Michael
 */ 


#include <avr/io.h>
#include <avr/interrupt.h>

#include "EEPROM/EepromController.h"
#include "UART/uart.h"

int main(void)
{
  //*****************************************************************************/
  // EEPROM-Test
  //*****************************************************************************/
  BOOL bResult = FALSE;
  char buffer[50];
  uart1_init( UART_BAUD_SELECT(19200,F_CPU) );
  sei();

  uart1_puts("Starte EEPROM-Test...\r\n");
  uart1_puts("Lese PIN-Wert aus...\r\n");
  bResult = E2PROM_ReadPinValue(buffer, 50);
  
  if (FALSE == bResult)
  {
    uart1_puts("Konnte keine PIN lesen (1. Durchlauf??)\r\n");
  }
  else
  {
    uart1_puts("Die gelesene PIN lautet: ");
    uart1_puts(buffer);
  }
  
  uart1_puts("Schreibe jetzt PIN 0815\r\n");
  E2PROM_WritePinValue("0815");
  uart1_puts("Fertig; jetzt erneut lesen:\r\n");

  bResult = E2PROM_ReadPinValue(buffer, 50);
  
  if (FALSE == bResult)
  {
    uart1_puts("Konnte keine PIN lesen (Jetzt echter Fehler)\r\n");
  }
  else
  {
    uart1_puts("Die gelesene PIN lautet: ");
    uart1_puts(buffer);
  }
  
  while (1)
  {
    ;
  }
  //*****************************************************************************/
  // EEPROM-Test Ende
  //*****************************************************************************/  
  
  
  
  
  
  while(1)
  {
    //TODO:: Please write your application code 
  }
}